package com.simuwang.base.common.enums;

import java.util.stream.Stream;

/**
 * FileName: DeletionType
 * Author:   chenjianhua
 * Date:     2024/9/17 22:10
 * Description: ${DESCRIPTION}
 */
public enum ContactStatusType {
    //单位分红/拆分比例
    NOTICE(1, "已通知"), INTENTION(2, "有意向"),
    NO_INTENTION(3, "暂无意向"), CONSIDERING(4, "考虑中")
    , NOT_CONTACT_INFO(5, "无联系方式");

    private final Integer code;
    private final String info;

    ContactStatusType(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public static ContactStatusType getContactStatusByCode(Integer code) {
        if (null == code){
            return null;
        }
        for(ContactStatusType s : ContactStatusType.values()){
            if(code.equals(s.getCode())){
                return s;
            }
        }
        return null;
    }

    public static ContactStatusType getContactStatusTypeByInfo(String info) {
        return Stream.of(ContactStatusType.values()).filter(e -> e.info.equals(info)).findFirst().orElse(null);
    }

    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
