package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.simuwang.base.pojo.vo.ImageInfoVO;
import lombok.Data;

import java.util.Date;
@Data
@TableName("image_info")
public class ImageInfoDO {
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;

    @TableField(value = "file_name")
    private String fileName;

    @TableField(value = "file_path")
    private String filePath;
    /**
     * 记录的有效性；1-有效；0-无效；
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    @TableField(value = "updatetime")
    private Date updateTime;

    public ImageInfoVO toVO() {
        ImageInfoVO vo = new ImageInfoVO();
        vo.setFilePath(filePath);
        vo.setFileName(fileName);
        vo.setIsvalid(isvalid);
        vo.setId(id);
        vo.setUpdaterId(updaterId);
        vo.setCreatorId(creatorId);
        return vo;
    }
}
